Rose::DB::Cache::Entry(3pm)

NAME
Rose::DB::Cache::Entry - A cache entry for use with Rose::DB::Cache objects.

SYNOPSIS
  package My::DB::Cache::Entry;

  use base 'Rose::DB::Cache::Entry';
  ...

  package My::DB::Cache;

  use base 'Rose::DB::Cache';

  use My::DB::Cache::Entry;

  __PACKAGE__->entry_class('My::DB::Cache::Entry');
  ...

DESCRIPTION
Rose::DB::Cache::Entry provides both an API and a default implementation of a cache entry for use with Rose::DB::Cache objects. A Rose::DB::Cache-derived class uses Rose::DB::Cache::Entry-derived objects to store cache entries.

The default implementation includes attributes for storing the cache key, the cached Rose::DB-derived object itself, and some boolean flags. Subclasses can add new attributes as desired.

CONSTRUCTORS

new PARAMS
    Constructs a new Rose::DB::Cache::Entry object based on PARAMS, where PARAMS are name/value pairs. Any object method is a valid parameter name.

OBJECT METHODS

created_during_apache_startup [BOOL]
    Get or set a boolean value indicating whether or not the db object this cache entry contains was created while the apache server was starting up.

db [DB]
    Get or set the Rose::DB-derived object stored in this cache entry.

key [KEY]
    Get or set the cache key for this entry.

prepared [BOOL]
    Get or set a boolean value indicating whether or not a cache entry is "prepared." The interpretation of this flag is up to the Rose::DB::Cache-derived class that uses this entry class.

is_prepared
    Returns true if prepared is true, false otherwise.

AUTHOR
John C. Siracusa (siracusa@gmail.com)

LICENSE
Copyright (c) 2010 by John C. Siracusa. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.